@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

.spinner {
  font-size: 3rem;
}

.little-spinner {
  margin-left: 20px;
  position: relative;
  display: inline-block;
}

.little-spinner img {
  margin-top: 10px;
  width: 32px;
  height: 32px;
}

.little-spinner div {
  width: 32px;
  height: 32px;
  background: url(../images/spinner.gif);
  background-size: 32px 32px;
}

.icon-spin {
  display: inline-block;
  -webkit-animation: spin 2s infinite linear;
  animation: spin 2s infinite linear;
  font-size: 3rem;
  color: #0070d2;
}

.icon-spin-mini:before {
  display: inline-block;
  -webkit-animation: spin 2s infinite linear;
  animation: spin 2s infinite linear;
  font-size: 2.5rem;
  color: #0070d2;
  position: absolute;
  margin-top: -5px;
  margin-left: 20px;
  z-index: 15;
}

.icon-spin-nav {
  display: inline-block;
  vertical-align: middle;
  -webkit-animation: spin 2s infinite linear;
  animation: spin 2s infinite linear;
  font-size: 1rem;
  color: #0070d2;
  z-index: 15;
  margin-left: 10px;
}

.active .icon-spin-nav {
  color: white;
}

.html-spinner.icon-spin-nav {
  z-index: 2;
  margin-left: 10px;
  border: 2px solid #486284;
  border-top: 4px solid #f3f3f3;
  width: 15px;
  height: 15px;
}

.active .html-spinner.icon-spin-nav {
  z-index: 2;
  margin-left: 10px;
  border: 2px solid white;
  border-top: 4px solid #486284;
  width: 15px;
  height: 15px;
}

.html-spinner {
  width: 40px;
  height: 40px;
  border: 4px solid #486284;
  border-top: 4px solid white;
  border-radius: 50%;

  -webkit-transition-property: -webkit-transform;
  -webkit-transition-duration: 1.2s;
  -webkit-animation-name: rotate;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-timing-function: linear;

  -moz-transition-property: -moz-transform;
  -moz-animation-name: rotate;
  -moz-animation-duration: 1.2s;
  -moz-animation-iteration-count: infinite;
  -moz-animation-timing-function: linear;

  transition-property: -webkit-transform;

  -o-transition-property: transform;

  transition-property: transform;

  transition-property: transform, -webkit-transform;
  animation-name: rotate;
  -webkit-animation-duration: 1.2s;
  animation-duration: 1.2s;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
}

@-webkit-keyframes rotate {
  from {
    -webkit-transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes rotate {
  from {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

/* spinner positioning */

.html-spinner:not(.icon-spin-nav) {
  top: 40%;
  left: 50%;
  position: absolute;
}

.centered {
  text-align: center;
}

.loading-text {
  width: 90px;
  position: absolute;
  top: calc(50% - 15px);
  left: calc(50% - 45px);
  text-align: center;
}

.centered {
  text-align: center;
}

.spinner.loading {
  padding: 50px;
  text-align: center;
  border: 0px;
}

.loading-text {
  font-size: 30px;
  position: absolute;
  top: calc(50% - 15px);
  left: calc(50% - 35px);
  text-align: center;
}

.spinner.loading:before {
  content: '';
  height: 200px;
  width: 200px;
  margin: -15px auto auto -15px;
  position: absolute;
  top: calc(50% - 45px);
  left: calc(50% - 90px);
  border-width: 4px;
  border-style: solid;
  border-color: white #2180c000 white;
  border-radius: 100%;
  -webkit-animation: rotation 2s infinite linear;
  animation: rotation 2s infinite linear;
}

@-webkit-keyframes rotation {
  from {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(359deg);
    transform: rotate(359deg);
  }
}

@keyframes rotation {
  from {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(359deg);
    transform: rotate(359deg);
  }
}

.loader,
.loader:after {
  border-radius: 50%;
  width: 10em;
  height: 10em;
}

.loader:after {
  background-color: blue;
}

.loader {
  font-size: 5px;
  position: relative;
  text-indent: -9999em;
  border-top: 1.1em solid rgba(67, 147, 185, 0.2);
  border-right: 1.1em solid rgba(67, 147, 185, 0.2);
  border-bottom: 1.1em solid rgba(67, 147, 185, 0.2);
  border-left: 1.1em solid #4393b9;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-animation: load8 1.1s infinite linear;
  animation: load8 1.1s infinite linear;
}

@-webkit-keyframes load8 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes load8 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
